<template>
  <basic-container :cradStyle="cradStyle">
    <el-tabs v-if="areasData.length>1" v-model="activeName" type="card" @tab-click="tabHandleClick">
      <el-tab-pane v-for="(areaItem,index) in areasData" :key="areaItem.oid" :label="areaItem.name" :name="areasName+'-Tab-'+index">
        <el-collapse  v-model="collapseActiveNames" v-if="areaItem.componentVOs.length>1">
          <el-collapse-item v-for="(componentVO,componentIndex) in areaItem.componentVOs" :name="areasName+'-collapse-'+componentIndex">
            <template slot="title">
              {{componentVO.name}}
            </template>
            <div class="componentVO" style="height: 60%">
              <compoent-index :key="componentVO.oid"
                              :inDialog="inDialog"
                              :componentVO="componentVO"
                              :sourceData="sourceData"
                              :areasName="areasName"
                              :paramVOS="paramVOS"></compoent-index>
            </div>
          </el-collapse-item>
        </el-collapse>
        <div v-else class="componentVO">
          <compoent-index :key="areaItem.componentVOs[0].oid"
                          :inDialog="inDialog"
                          :componentVO="areaItem.componentVOs[0]"
                          :sourceData="sourceData"
                          :areasName="areasName"
                          :paramVOS="paramVOS"></compoent-index>
        </div>
      </el-tab-pane>
    </el-tabs>
    <div v-else>
      <el-collapse  v-model="collapseActiveNames" v-if="areasData[0].componentVOs.length>1">
        <el-collapse-item v-for="(componentVO,componentIndex) in areasData[0].componentVOs" :name="areasName+'-collapse-'+componentIndex">
          <template slot="title">
            {{componentVO.name}}
          </template>
          <div class="componentVO" style="height: 60%">
            <compoent-index :key="componentVO.oid"
                            :inDialog="inDialog"
                            :componentVO="componentVO"
                            :sourceData="sourceData"
                            :areasName="areasName"
                            :paramVOS="paramVOS"></compoent-index>
          </div>
        </el-collapse-item>
      </el-collapse>
      <div v-else class="componentVO">
        <compoent-index :key="areasData[0].componentVOs[0].oid"
                        :inDialog="inDialog"
                        :componentVO="areasData[0].componentVOs[0]"
                        :sourceData="sourceData"
                        :areasName="areasName"
                        :paramVOS="paramVOS"></compoent-index>
      </div>
    </div>
  </basic-container>
</template>

<script>
import compoentIndex from "@/components/dynamic-components/index"
export default {
  name: "UIContentArea",
  components:{compoentIndex},
  props:{
    inDialog: {
      type: Boolean,
      default: false
    },
    areasName:{
      type:String,
      default:''
    },
    areasData:{
      type:Array,
      default:[]
    },
    sourceData:{
      //菜单源数据或者弹窗时按钮所属区域的上一区域选中数据
      type:Object,
      default: {}
    },
    dataStore:{
      //弹窗时按钮所属区域选中数据
      type:Array,
      default: []
    },
    paramVOS:{
      type:Object,
      default: {}
    },
    cradStyle:''
  },
  data(){
    return{
      activeName:this.areasName+'-Tab-0',
      collapseActiveNames:[this.areasName+'-collapse-0']
    }
  },
  mounted() {
    console.log(this.areasData);
  },
  methods:{
    tabHandleClick(tab, event) {
      console.log(tab, event);
    },
  }
}
</script>

<style scoped>

</style>
